package com.ssj.service.kmt.service;

import com.ssj.bean.kmt.kmtsys.domain.KmtSysUser;
import com.ssj.framework.core.common.service.BaseService;
import com.ssj.service.kmt.dto.KmtSysUserDTO;

import java.util.List;



public interface KmtSysUserService extends BaseService<KmtSysUser, String> {

	public List<KmtSysUser> findKmtSysUser();
	
	public List<KmtSysUser> findKmtSysUserByLoginName(String loginName);
	
	public Integer countAddUserNum(String addUserId,Integer state);
	
	public Integer countAddUserBySettlementNum(String addUserId, Integer settlement);

	/**
	 * 根据类型查询kmt管理员
	 * @param dealType 1 加工员，2 审核员
	 */
    List<KmtSysUserDTO> getDistributeCondition(int dealType);

	/**
	 * 查询用户列表
	 * @param ids
	 * @return
	 */
	List<KmtSysUser> findKmtSysUserByIds (List<String> ids);

	/**
	 * 查询kmt用户信息
	 * @param id
	 * @return
	 */
	KmtSysUser findKmtSysUserById (String id);

	/**
	 * 查询练习册操作用户
	 * @param loginName
	 * @param type
	 * @return
	 */
	KmtSysUser findKmtSysUserByLoginNameAndType (String loginName, String type);

	List<KmtSysUser> findByName(String name);
}
